
libname datapath 'your/path/here' ;
libname xptfile xport 'your/path/here/public2018.xpt' ;

proc copy in = xptfile out = datapath ;

proc format library = work ;
    value XSFLAG
           1 = 'Main'
           2 = 'LMI' ;

    value XLAPTOP
           1 = 'laptop member'
           2 = 'non laptop member' ;

    value L0_A
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value L0_B
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value L0_C
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value L0_D
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value L0_E
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value L0_F
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value L0_G
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value L0A
          -1 = 'Refused'
           1 = 'All currently enrolled in school'
           2 = 'One or more notcurrently enrolled in sch' ;

    value L1_A
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value L1_B
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value L1_C
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value L1_D
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value L1_E
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value L1_F
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value B
          -1 = 'Refused'
           1 = 'Finding it difficult to get by'
           2 = 'Just getting by'
           3 = 'Doing okay'
           4 = 'Living comfortably' ;

    value BA
          -1 = 'Refused'
           1 = 'Much worse off'
           2 = 'Somewhat worse off'
           3 = 'About the same'
           4 = 'Somewhat better off'
           5 = 'Much better off' ;

    value BB
          -1 = 'Refused'
           1 = 'Much worse off'
           2 = 'Somewhat worse off'
           3 = 'About the same'
           4 = 'Somewhat better off'
           5 = 'Much better off' ;

    value BC
          -1 = 'Refused'
           1 = '1 Bottom of the ladder'
           2 = '2'
           3 = '3'
           4 = '4'
           5 = '5'
           6 = '6'
           7 = '7'
           8 = '8'
           9 = '9'
          10 = '10 Top of the ladder' ;

    value B7_A
          -1 = 'Refused'
           1 = 'Poor'
           2 = 'Only fair'
           3 = 'Good'
           4 = 'Excellent' ;

    value B7_B
          -1 = 'Refused'
           1 = 'Poor'
           2 = 'Only fair'
           3 = 'Good'
           4 = 'Excellent' ;

    value BD
          -1 = 'Refused'
           0 = '0 Not at all'
          10 = '10 Completely' ;

    value D1A
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value D1E
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value D21_A
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value D21_B
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value D21_C
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value D21_D
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value D21_E
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value D21_F
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value D21_G
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value D3A
          -1 = 'Refused'
           1 = 'For a single company or employer'
           2 = 'For yourself or your family business'
           3 = 'Other (Please specify):' ;

    value D3B
          -1 = 'Refused'
           1 = 'Full-time (35 or more hours per week)'
           2 = 'Part-time (less than 35 hours per week)' ;

    value USER
          -2 = 'Dont know'
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value USERA
          -1 = 'Refused'
           1 = 'Normally work the same hours'
           2 = 'Schedule varies, primarily at my request'
           3 = 'Schedule varies, primarily based on my e' ;

    value USERB
          -1 = 'Refused'
           1 = 'One day in advance or less (including on'
           2 = '2 to 3 days in advance'
           3 = '4 to 6 days in advance'
           4 = '1 to 2 weeks in advance'
           5 = '3 weeks in advance or longer' ;

    value USERC
          -2 = 'Dont know'
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value USERD
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value D6_A
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value D6_B
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value D6_C
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value D44_A
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value D44_B
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value D44_C
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value D44_D
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value D44_E
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value D44_F
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value USERE
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value GE1_A
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value GE1_B
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value GE1_C
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value GE1_D
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value GE1_E
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value GE1_F
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value GE2_A
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value GE2_B
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value GE2_C
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value GE2_D
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value GE2_E
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value GE10_A
           0 = 'No'
           1 = 'Yes' ;

    value GE10_B
           0 = 'No'
           1 = 'Yes' ;

    value GE10_C
           0 = 'No'
           1 = 'Yes' ;

    value GE10_D
           0 = 'No'
           1 = 'Yes' ;

    value GE10_E
           0 = 'No'
           1 = 'Yes' ;

    value GE10_F
           0 = 'No'
           1 = 'Yes' ;

    value GE10_G
           0 = 'No'
           1 = 'Yes' ;

    value GE10_REF
           0 = 'No'
           1 = 'Yes' ;

    value GE
          -1 = 'Refused'
           1 = 'Earn money as main source of income'
           2 = 'Earn money in addition to main source'
           3 = 'Earn money to help family members'
           4 = 'Maintain or acquire job-related skills'
           5 = 'Sell items no longer needed'
           6 = 'Meet people, have a social activity or h'
           7 = 'Other' ;

    value GEA
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value GEB
          -1 = 'Refused' ;

    value GEC
          -1 = 'Refused'
           1 = 'More'
           2 = 'Less'
           3 = 'About the same'
           4 = 'Does not apply, have not done these acti' ;

    value GE40A
          -2 = 'Dont know'
          -1 = 'Refused'
           1 = 'under 10%'
           2 = '10 to 19%'
           3 = '20 to 29%'
           4 = '30 to 39%'
           5 = '40 to 49%'
           6 = '50 to 59%'
           7 = '60 to 69%'
           8 = '70 to 79%'
           9 = '80 to 89%'
          10 = '90% or more' ;

    value GE40B
          -1 = 'Refused'
           1 = 'Yes, in all or most months'
           2 = 'No, only in some or a few months' ;

    value GED
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value GH
          -1 = 'Refused'
           1 = 'Own home with a mortgage or loan'
           2 = 'Own home free and clear (without a mortg'
           3 = 'Pay rent'
           4 = 'Neither own home nor pay rent' ;

    value GH2N
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value GH3_A
          -1 = 'Refused'
           1 = 'Very dissatisfied'
           2 = 'Somewhat dissatisfied'
           3 = 'Neither satisfied nor dissatisfied'
           4 = 'Somewhat satisfied'
           5 = 'Very satisfied' ;

    value GH3_B
          -1 = 'Refused'
           1 = 'Very dissatisfied'
           2 = 'Somewhat dissatisfied'
           3 = 'Neither satisfied nor dissatisfied'
           4 = 'Somewhat satisfied'
           5 = 'Very satisfied' ;

    value GH3_C
          -1 = 'Refused'
           1 = 'Very dissatisfied'
           2 = 'Somewhat dissatisfied'
           3 = 'Neither satisfied nor dissatisfied'
           4 = 'Somewhat satisfied'
           5 = 'Very satisfied' ;

    value GH3_D
          -1 = 'Refused'
           1 = 'Very dissatisfied'
           2 = 'Somewhat dissatisfied'
           3 = 'Neither satisfied nor dissatisfied'
           4 = 'Somewhat satisfied'
           5 = 'Very satisfied' ;

    value GH3_E
          -1 = 'Refused'
           1 = 'Very dissatisfied'
           2 = 'Somewhat dissatisfied'
           3 = 'Neither satisfied nor dissatisfied'
           4 = 'Somewhat satisfied'
           5 = 'Very satisfied' ;

    value GH3_F
          -1 = 'Refused'
           1 = 'Very dissatisfied'
           2 = 'Somewhat dissatisfied'
           3 = 'Neither satisfied nor dissatisfied'
           4 = 'Somewhat satisfied'
           5 = 'Very satisfied' ;

    value GH10_A
          -1 = 'Refused'
           1 = 'Not important'
           2 = 'Slightly important'
           3 = 'Moderately important'
           4 = 'Very important' ;

    value GH10_B
          -1 = 'Refused'
           1 = 'Not important'
           2 = 'Slightly important'
           3 = 'Moderately important'
           4 = 'Very important' ;

    value GH10_C
          -1 = 'Refused'
           1 = 'Not important'
           2 = 'Slightly important'
           3 = 'Moderately important'
           4 = 'Very important' ;

    value GH10_D
          -1 = 'Refused'
           1 = 'Not important'
           2 = 'Slightly important'
           3 = 'Moderately important'
           4 = 'Very important' ;

    value GH10_E
          -1 = 'Refused'
           1 = 'Not important'
           2 = 'Slightly important'
           3 = 'Moderately important'
           4 = 'Very important' ;

    value GH10_F
          -1 = 'Refused'
           1 = 'Not important'
           2 = 'Slightly important'
           3 = 'Moderately important'
           4 = 'Very important' ;

    value GH10_G
          -1 = 'Refused'
           1 = 'Not important'
           2 = 'Slightly important'
           3 = 'Moderately important'
           4 = 'Very important' ;

    value R1_A
           0 = 'No'
           1 = 'Yes' ;

    value R1_B
           0 = 'No'
           1 = 'Yes' ;

    value R1_C
           0 = 'No'
           1 = 'Yes' ;

    value R1_D
           0 = 'No'
           1 = 'Yes' ;

    value R1_E
           0 = 'No'
           1 = 'Yes' ;

    value R1_F
           0 = 'No'
           1 = 'Yes' ;

    value R1_G
           0 = 'No'
           1 = 'Yes' ;

    value R1_H
           0 = 'No'
           1 = 'Yes' ;

    value R1_I
           0 = 'No'
           1 = 'Yes' ;

    value R1_REFUS
           0 = 'No'
           1 = 'Yes' ;

    value R
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes, and I still own that home'
           2 = 'Yes, and I no longer own that home' ;

    value R5A
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value R5B_A
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value R5B_B
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value R5B_C
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value R5B_D
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value R5C_A
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value R5C_B
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value R5C_C
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value R5C_D
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value RA
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value USERF
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value R8A
          -1 = 'Refused'
           1 = 'Substantial difficulty'
           2 = 'Moderate difficulty'
           3 = 'A little difficulty'
           4 = 'None' ;

    value USERG
          -2 = 'Dont know'
          -1 = 'Refused'
           1 = 'less than $250'
           2 = '$250 to $499'
           3 = '$500 to $749'
           4 = '$750 to $999'
           5 = '$1,000 to $1,249'
           6 = '$1,250 to 1,499'
           7 = '$1,500 to $1,749'
           8 = '$1,750 to $1,999'
           9 = '$2,000 or above' ;

    value M
          -2 = 'Dont know'
          -1 = 'Refused'
           1 = 'less than $500'
           2 = '$500 to $749'
           3 = '$750 to $999'
           4 = '$1000 to $1,249'
           5 = '$1,250 to 1,499'
           6 = '$1,500 to $1,749'
           7 = '$1,750 to $1,999'
           8 = '$2,000 to $2,499'
           9 = '$2,500 or above' ;

    value BK
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value BK2_A
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value BK2_B
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value BK2_C
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value BK2_D
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value BK2_E
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value BK11_A
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value BK11_B
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value BK11_C
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value BK11_D
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value BK11_E
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value BK11_F
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value BK20_A
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes'
           3 = 'Do not own a mobile phone' ;

    value BK20_B
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes'
           3 = 'Do not own a mobile phone' ;

    value BK20_C
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes'
           3 = 'Do not own a mobile phone' ;

    value BK40_A
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value BK40_B
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value BK40_C
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value BK40_D
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value BKA
          -1 = 'Refused'
           1 = 'Delay in when you could use your money ('
           2 = 'Your account was locked or frozen'
           3 = 'Banks website or mobile app didnt work'
           4 = 'Other' ;

    value BK44_A
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value BK44_B
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value BK44_C
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value A
          -2 = 'Dont know'
          -1 = 'Refused'
           1 = 'Very confident'
           2 = 'Somewhat confident'
           3 = 'Not confident' ;

    value AA
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value A0B
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value A1_A
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value A1_B
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value A1_C
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value AB
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value C2A
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value C
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value C3A
          -1 = 'Refused'
           1 = 'Less debt now'
           2 = 'About the same'
           3 = 'More debt now' ;

    value C4A
          -1 = 'Refused'
           0 = 'Never carried an unpaid balance (always '
           1 = 'Once'
           2 = 'Some of the time'
           3 = 'Most or all of the time' ;

    value ED
          -1 = 'Refused'
           1 = 'Less than High School degree'
           2 = 'High school degree or GED'
           3 = 'Some college but no degree (including cu'
           4 = 'Certificate or technical degree'
           5 = 'Associate degree'
           6 = 'Bachelors degree'
           7 = 'Masters degree'
           8 = 'Professional degree (e.g. MBA, MD, JD)'
           9 = 'Doctoral Degree' ;

    value D1G
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes, as a part-time student'
           2 = 'Yes, as a full-time student' ;

    value ED0B
          -1 = 'Refused'
           1 = 'High school or GED program'
           2 = 'Non-degree training program'
           3 = 'Certificate or technical degree'
           4 = 'Associate degree'
           5 = 'Bachelors degree'
           6 = 'Masters degree'
           7 = 'Professional degree (e.g. MBA, MD, JD)'
           8 = 'Doctoral Degree' ;

    value ED0D
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value EDA
          -1 = 'Refused'
           1 = 'Humanities/arts'
           2 = 'Social/behavioral sciences'
           3 = 'Life sciences'
           4 = 'Physical sciences/math'
           5 = 'Computer/information sciences'
           6 = 'Engineering'
           7 = 'Education'
           8 = 'Business/management'
           9 = 'Health'
          10 = 'Law'
          11 = 'Vocational/technical training'
          12 = 'Undeclared'
          13 = 'Other (Please specify):' ;

    value EDB
          -1 = 'Refused'
           1 = 'Financial benefits are much larger'
           2 = 'Financial benefits are somewhat larger'
           3 = 'About the same financial benefits and fi'
           4 = 'Financial costs are somewhat larger'
           5 = 'Financial costs are much larger' ;

    value ED6_A
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value ED6_B
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value ED6_C
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value ED6_D
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value ED6_E
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value EDC
          -1 = 'Refused'
           1 = 'Financial benefits are much larger'
           2 = 'Financial benefits are somewhat larger'
           3 = 'About the same financial benefits and fi'
           4 = 'Financial costs are somewhat larger'
           5 = 'Financial costs are much larger' ;

    value ED11_A
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value ED11_B
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value ED11_C
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value ED11_D
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value ED11_E
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value ED0C
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value ED4A
          -1 = 'Refused' ;

    value ED4B
          -1 = 'Refused'
           1 = 'Definitely will return and complete prog'
           2 = 'Probably will return and complete progra'
           3 = 'Not sure'
           4 = 'Probably will not return and complete pr'
           5 = 'Definitely will not return and complete ' ;

    value ED13_A
           0 = 'No'
           1 = 'Yes' ;

    value ED13_B
           0 = 'No'
           1 = 'Yes' ;

    value ED13_C
           0 = 'No'
           1 = 'Yes' ;

    value ED13_D
           0 = 'No'
           1 = 'Yes' ;

    value ED13_E
           0 = 'No'
           1 = 'Yes' ;

    value ED13_F
           0 = 'No'
           1 = 'Yes' ;

    value ED13_G
           0 = 'No'
           1 = 'Yes' ;

    value ED13_H
           0 = 'No'
           1 = 'Yes' ;

    value ED13_I
           0 = 'No'
           1 = 'Yes' ;

    value ED13_J
           0 = 'No'
           1 = 'Yes' ;

    value ED13_REF
           0 = 'No'
           1 = 'Yes' ;

    value ED14_A
           0 = 'No'
           1 = 'Yes' ;

    value ED14_B
           0 = 'No'
           1 = 'Yes' ;

    value ED14_C
           0 = 'No'
           1 = 'Yes' ;

    value ED14_D
           0 = 'No'
           1 = 'Yes' ;

    value ED14_E
           0 = 'No'
           1 = 'Yes' ;

    value ED14_F
           0 = 'No'
           1 = 'Yes' ;

    value ED14_G
           0 = 'No'
           1 = 'Yes' ;

    value ED14_H
           0 = 'No'
           1 = 'Yes' ;

    value ED14_I
           0 = 'No'
           1 = 'Yes' ;

    value ED14_J
           0 = 'No'
           1 = 'Yes' ;

    value ED14_REF
           0 = 'No'
           1 = 'Yes' ;

    value SL
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value SL2_A
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value SL2_B
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value SL2_C
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value SL2_D
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value SLA
          -2 = 'Dont know'
          -1 = 'Refused'
           1 = 'Less than $5,000'
           2 = '$5,000 to $9,999'
           3 = '$10,000 to $14,999'
           4 = '$15,000 to $19,999'
           5 = '$20,000 to $24,999'
           6 = '$25,000 to $29,999'
           7 = '$30,000 to $39,999'
           8 = '$40,000 to $49,999'
           9 = '$50,000 to $74,999'
          10 = '$75,000 to $99,999'
          11 = '$100,000 or above' ;

    value SLB
          -2 = 'Dont know'
          -1 = 'Refused'
           1 = 'I am currently not required to make any '
           2 = '$1 to $49'
           3 = '$50 to $99'
           4 = '$100 to $199'
           5 = '$200 to $299'
           6 = '$300 to $399'
           7 = '$400 to $499'
           8 = '$500 to $749'
           9 = '$750 to $999'
          10 = '$1,000 or above' ;

    value SLC
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value SLD
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value SL8_A
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value SL8_B
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value SL8_C
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value SL8_D
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value SL8_E
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value SLE
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value SLF
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes'
         999 = 'Do not have children or grandchildren' ;

    value SL12_A
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value SL12_B
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value SL12_C
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value SL12_D
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value D1I
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value K
          -2 = 'Dont know'
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value K2_A
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value K2_B
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value K2_C
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value K2_D
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value K2_E
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value K2_F
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value K2_G
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value KA
          -2 = 'Dont know'
          -1 = 'Refused'
           1 = 'Less than $10,000'
           2 = '$10,000 to $24,999'
           3 = '$25,000 to $49,999'
           4 = '$50,000 to $99,999'
           5 = '$100,000 to $249,999'
           6 = '$250,000 to $499,999'
           7 = '$500,000 to $999,999'
           8 = 'Over $1,000,000' ;

    value DC
          -1 = 'Refused'
           1 = 'Very comfortable'
           2 = 'Mostly comfortable'
           3 = 'Slightly comfortable'
           4 = 'Not comfortable' ;

    value K5A
          -1 = 'Refused'
           1 = 'Yes, borrowed money'
           2 = 'Yes, cashed out'
           3 = 'Yes, both'
           4 = 'No' ;

    value K8A
          -2 = 'Not Sure'
          -1 = 'Refused' ;

    value K9_A
          -1 = 'Refused'
           1 = 'Not important'
           2 = 'Somewhat important'
           3 = 'Very important' ;

    value K9_B
          -1 = 'Refused'
           1 = 'Not important'
           2 = 'Somewhat important'
           3 = 'Very important' ;

    value K9_C
          -1 = 'Refused'
           1 = 'Not important'
           2 = 'Somewhat important'
           3 = 'Very important' ;

    value K9_D
          -1 = 'Refused'
           1 = 'Not important'
           2 = 'Somewhat important'
           3 = 'Very important' ;

    value K9_E
          -1 = 'Refused'
           1 = 'Not important'
           2 = 'Somewhat important'
           3 = 'Very important' ;

    value K9_F
          -1 = 'Refused'
           1 = 'Not important'
           2 = 'Somewhat important'
           3 = 'Very important' ;

    value I0_A
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value I0_B
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value I0_C
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value I0_D
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value I0_E
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value I0_F
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value I0_G
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value I0_H
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value I0A
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value I
          -1 = 'Refused'
           0 = '$0'
           1 = '$1 to $4,999'
           2 = '$5,000 to $14,999'
           3 = '$15,000 to $24,999'
           4 = '$25,000 to $39,999'
           5 = '$40,000 to $49,999'
           6 = '$50,000 to $74,999'
           7 = '$75,000 to $99,999'
           8 = '$100,000 to $149,999'
           9 = '$150,000 to $199,999'
          10 = '$200,000 or higher' ;

    value I41_A
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value I41_B
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value I41_C
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value I41_D
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value I41_E
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value I41_F
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value IA
          -1 = 'Refused'
           1 = 'Roughly the same amount each month'
           2 = 'Occasionally varies from month to month'
           3 = 'Varies quite often from month to month' ;

    value USERH
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value USERI
          -1 = 'Refused'
           1 = 'More than your income'
           2 = 'The same as your income'
           3 = 'Less than your income' ;

    value FS
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value FS20_A
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value FS20_B
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value FS20_C
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value FS20_D
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value FS20_E
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value FS30_A
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value FS30_B
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value FS30_C
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value FS30_D
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value FS30_E
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value FSA
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value EF
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value EFA
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value EF3_A
           0 = 'No'
           1 = 'Yes' ;

    value EF3_B
           0 = 'No'
           1 = 'Yes' ;

    value EF3_C
           0 = 'No'
           1 = 'Yes' ;

    value EF3_D
           0 = 'No'
           1 = 'Yes' ;

    value EF3_E
           0 = 'No'
           1 = 'Yes' ;

    value EF3_F
           0 = 'No'
           1 = 'Yes' ;

    value EF3_G
           0 = 'No'
           1 = 'Yes' ;

    value EF3_H
           0 = 'No'
           1 = 'Yes' ;

    value EF3_I
           0 = 'No'
           1 = 'Yes' ;

    value EF3_REFU
           0 = 'No'
           1 = 'Yes' ;

    value EF5A
          -1 = 'Refused'
           0 = 'Cant pay some bills'
           1 = 'Able to pay all bills' ;

    value EF5B
          -1 = 'Refused'
           0 = 'Could not pay some bills'
           1 = 'Would still be able to pay all bills' ;

    value EF6A_A
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value EF6A_B
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value EF6A_C
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value EF6A_D
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value EF6A_E
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value EF6A_F
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value EF6A_G
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value EF6B_A
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value EF6B_B
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value EF6B_C
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value EF6B_D
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value EF6B_E
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value EF6B_F
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value EF6B_G
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value E1_A
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value E1_B
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value E1_C
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value E1_D
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value E1_E
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value E1_F
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value USERJ
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value E2A
          -2 = 'Dont know'
          -1 = 'Refused'
           1 = '$1 to $499'
           2 = '$500 to $999'
           3 = '$1,000 to $4,999'
           4 = '$5,000 to $9,999'
           5 = '$10,000 or higher' ;

    value E2B
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value E4_A
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value E4_B
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value E4_C
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value E4_D
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value E4_E
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value E4_F
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value E4_G
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value E4_H
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value USERBA
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value CH1_A
          -1 = 'Refused'
           1 = 'Never worried'
           2 = 'Rarely worried'
           3 = 'Sometimes worried'
           4 = 'Regularly worried' ;

    value CH1_B
          -1 = 'Refused'
           1 = 'Never worried'
           2 = 'Rarely worried'
           3 = 'Sometimes worried'
           4 = 'Regularly worried' ;

    value CH1_C
          -1 = 'Refused'
           1 = 'Never worried'
           2 = 'Rarely worried'
           3 = 'Sometimes worried'
           4 = 'Regularly worried' ;

    value CH1_D
          -1 = 'Refused'
           1 = 'Never worried'
           2 = 'Rarely worried'
           3 = 'Sometimes worried'
           4 = 'Regularly worried' ;

    value CH
          -2 = 'Dont know'
          -1 = 'Refused'
           1 = 'Less than High School degree'
           2 = 'High school degree or GED'
           3 = 'Some college but no degree'
           4 = 'Certificate or technical degree'
           5 = 'Associate degree'
           6 = 'Bachelors degree'
           7 = 'Graduate degree' ;

    value CHA
          -2 = 'Dont know'
          -1 = 'Refused'
           1 = 'Less than High School degree'
           2 = 'High school degree or GED'
           3 = 'Some college but no degree'
           4 = 'Certificate or technical degree'
           5 = 'Associate degree'
           6 = 'Bachelors degree'
           7 = 'Graduate degree' ;

    value FL
          -1 = 'Refused'
           0 = 'Not at all'
          10 = 'Very willing' ;

    value FLA
          -2 = 'Dont know'
          -1 = 'Refused'
           1 = 'True'
           2 = 'False' ;

    value FLB
          -2 = 'Dont know'
          -1 = 'Refused'
           1 = 'True'
           2 = 'False' ;

    value FLC
          -2 = 'Dont know'
          -1 = 'Refused'
           1 = 'Stocks'
           2 = 'Bonds'
           3 = 'Savings accounts'
           4 = 'Precious metals' ;

    value FLD
          -2 = 'Dont know'
          -1 = 'Refused'
           1 = 'More than today'
           2 = 'Exactly the same'
           3 = 'Less than today' ;

    value FLE
          -2 = 'Dont know'
          -1 = 'Refused'
           1 = 'More than $102'
           2 = 'Exactly $102'
           3 = 'Less than $102' ;

    value PPCM
          -2 = 'Not asked'
          -1 = 'Refused'
           1 = 'Management'
           2 = 'Business and Financial Operations'
           3 = 'Computer and Mathematical'
           4 = 'Architecture and Engineering'
           5 = 'Life, Physical, and Social Sciences'
           6 = 'Community and Social Services'
           7 = 'Lawyer, judge'
           8 = 'Teacher, except college and university'
           9 = 'Teacher, college and university'
          10 = 'Other professional'
          11 = 'Medical Doctor (such as physician, surge'
          12 = 'Other Health Care Practitioner (such as '
          13 = 'Health Technologist or Technician (such '
          14 = 'Health Care Support (such as nursing aid'
          15 = 'Protective Service'
          16 = 'Food Preparation and Serving'
          17 = 'Building and Grounds Cleaning and Mainte'
          18 = 'Personal Care and Service'
          19 = 'Sales Representative'
          20 = 'Retail Sales'
          21 = 'Other Sales'
          22 = 'Office and Administrative Support'
          23 = 'Farming, Forestry, and Fishing'
          24 = 'Construction and Extraction'
          25 = 'Installation, Maintenance, and Repair'
          26 = 'Precision Production (such as machinist,'
          27 = 'Transportation and Material Moving'
          28 = 'Armed Services'
          29 = 'Other (Please specify)'
          30 = 'Business Operations (including Marketing'
          31 = 'Financial Operations or Financial Servic'
          32 = 'Education, Training, and Library'
          33 = 'Arts, Design, Entertainment, Sports, and'
          34 = 'Health Diagnosing or Treating Practition'
          35 = 'Sales' ;

    value IND
           1 = 'Agriculture, Forestry, Fishing and Hunti'
           2 = 'Mining, Quarrying, and Oil and Gas Extra'
           3 = 'Utilities'
           4 = 'Construction'
           5 = 'Manufacturing'
           6 = 'Wholesale Trade'
           7 = 'Retail Trade'
           8 = 'Transportation and Warehousing'
           9 = 'Information'
          10 = 'Finance and Insurance'
          11 = 'Real Estate and Rental and Leasing'
          12 = 'Professional, Scientific, and Technical '
          13 = 'Management of Companies and Enterprises'
          14 = 'Administrative and Support and Waste Man'
          15 = 'Educational Services'
          16 = 'Health Care and Social Assistance'
          17 = 'Arts, Entertainment, and Recreation'
          18 = 'Accommodation and Food Services'
          19 = 'Other Services and Community/Non-Profit '
          20 = 'Public Administration'
          21 = 'Armed Forces'
          22 = 'Utilities, Waste Management, and Remedia'
          23 = 'Administrative and Support Services (suc'
          24 = 'Child Day Care Services'
          25 = 'Repairs and Maintenance'
          26 = 'Personal Services (including Beauty, Pet'
          27 = 'Community/Non-Profit Organizations (incl' ;

    value PPCMA
          -2 = 'Not asked'
          -1 = 'Refused'
           1 = 'One'
           2 = 'Two'
           3 = 'Three'
           4 = 'Four or more' ;

    value PPCMB
          -2 = 'Not asked'
          -1 = 'Refused'
           1 = 'Government'
           2 = 'Private-for-profit company'
           3 = 'Non-profit organization including tax ex'
           4 = 'Self-employed'
           5 = 'Working in the family business' ;

    value PPHI
          -2 = 'Not asked'
          -1 = 'Refused'
           1 = 'Only Spanish'
           2 = 'More Spanish than English'
           3 = 'Both Spanish and English equally'
           4 = 'More English than Spanish'
           5 = 'Only English'
           6 = 'Neither Spanish nor English' ;

    value PPH
          -2 = 'Not asked'
          -1 = 'Refused'
           1 = 'Excellent'
           2 = 'Very good'
           3 = 'Good'
           4 = 'Fair'
           5 = 'Poor' ;

    value PPFS
          -2 = 'Not asked'
          -1 = 'Refused'
           1 = 'I make most of the decisions'
           2 = 'Another household member and I share in '
           3 = 'Another household member makes most of t' ;

    value PPFSA
          -2 = 'Not asked'
          -1 = 'Refused'
           1 = 'Under $50,000'
           2 = '$50,000 - $99,999'
           3 = '$100,000 - $249,999'
           4 = '$250,000 - $499,999'
           5 = '$500,000 - $999,999'
           6 = '$1,000,000 or more'
           7 = 'Not sure' ;

    value VETERAN
          -2 = 'Not asked'
          -1 = 'Refused'
           1 = 'Active Duty'
           2 = 'Currently Reserves'
           3 = 'Currently National Guard'
           4 = 'Veteran'
           5 = 'None of the above' ;

    value PPP
          -2 = 'Not asked'
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value PPPA
          -2 = 'Not asked'
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value PPPB
          -2 = 'Not asked'
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value PPPC
          -2 = 'Not asked'
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value PPPAA
          -2 = 'Not asked'
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value PPPAB
          -2 = 'Not asked'
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value PPPAC
          -2 = 'Not asked'
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value PPPAD
          -2 = 'Not asked'
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value PPPD
          -2 = 'Not asked'
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value PPPE
          -2 = 'Not asked'
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value PPPAE
          -2 = 'Not asked'
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value PPPF
          -2 = 'Not asked'
          -1 = 'Refused'
           0 = 'No'
           1 = 'Yes' ;

    value DEVICETY
           1 = 'iPad'
           2 = 'iPod'
           3 = 'iPhone'
           4 = 'Mac'
           5 = 'ChromeBook'
           6 = 'BlackBerry'
           7 = 'AndroidTablet'
           8 = 'AndroidPhone'
           9 = 'TabletOther'
          10 = 'WinPC'
          11 = 'WinPhone'
          12 = 'WinMobileOther'
          13 = 'KindleFireTablet'
          14 = 'NookTablet'
          15 = 'others' ;

    value PPAGE
          -2 = 'Not asked'
          -1 = 'REFUSED' ;

    value PPAGECAT
           1 = '18-24'
           2 = '25-34'
           3 = '35-44'
           4 = '45-54'
           5 = '55-64'
           6 = '65-74'
           7 = '75+'
          99 = 'Under 18' ;

    value PPAGECT
           1 = '18-29'
           2 = '30-44'
           3 = '45-59'
           4 = '60+'
          99 = 'Under 18' ;

    value PPEDUC
          -2 = 'Not asked'
          -1 = 'REFUSED'
           1 = 'No formal education'
           2 = '1st, 2nd, 3rd, or 4th grade'
           3 = '5th or 6th grade'
           4 = '7th or 8th grade'
           5 = '9th grade'
           6 = '10th grade'
           7 = '11th grade'
           8 = '12th grade NO DIPLOMA'
           9 = 'HIGH SCHOOL GRADUATE - high school DIPLO'
          10 = 'Some college, no degree'
          11 = 'Associate degree'
          12 = 'Bachelors degree'
          13 = 'Masters degree'
          14 = 'Professional or Doctorate degree' ;

    value PPEDUCAT
          -2 = 'Not asked'
          -1 = 'REFUSED'
           1 = 'Less than high school'
           2 = 'High school'
           3 = 'Some college'
           4 = 'Bachelors degree or higher' ;

    value PPETHM
          -2 = 'Not asked'
          -1 = 'REFUSED'
           1 = 'White, Non-Hispanic'
           2 = 'Black, Non-Hispanic'
           3 = 'Other, Non-Hispanic'
           4 = 'Hispanic'
           5 = '2+ Races, Non-Hispanic' ;

    value PPGENDER
          -2 = 'Not asked'
          -1 = 'REFUSED'
           1 = 'Male'
           2 = 'Female' ;

    value PPHHHEAD
          -2 = 'Not asked'
          -1 = 'REFUSED'
           0 = 'No'
           1 = 'Yes' ;

    value PPHHSIZE
          -2 = 'Not asked'
          -1 = 'REFUSED' ;

    value PPHOUSE
          -2 = 'Not asked'
          -1 = 'REFUSED'
           1 = 'A one-family house detached from any oth'
           2 = 'A one-family house attached to one or mo'
           3 = 'A building with 2 or more apartments'
           4 = 'A mobile home'
           5 = 'Boat, RV, van, etc.' ;

    value PPINCIMP
          -2 = 'Not asked'
          -1 = 'REFUSED'
           1 = 'Less than $5,000'
           2 = '$5,000 to $7,499'
           3 = '$7,500 to $9,999'
           4 = '$10,000 to $12,499'
           5 = '$12,500 to $14,999'
           6 = '$15,000 to $19,999'
           7 = '$20,000 to $24,999'
           8 = '$25,000 to $29,999'
           9 = '$30,000 to $34,999'
          10 = '$35,000 to $39,999'
          11 = '$40,000 to $49,999'
          12 = '$50,000 to $59,999'
          13 = '$60,000 to $74,999'
          14 = '$75,000 to $84,999'
          15 = '$85,000 to $99,999'
          16 = '$100,000 to $124,999'
          17 = '$125,000 to $149,999'
          18 = '$150,000 to $174,999'
          19 = '$175,000 to $199,999'
          20 = '$200,000 to $249,999'
          21 = '$250,000 or more' ;

    value PPINCCAT
           1 = '<$25,000'
           2 = '$25-49,999'
           3 = '$50-74,999'
           4 = '$75-99,999'
           5 = '$100-149,999'
           6 = '$150,000+' ;

    value PPMARIT
          -2 = 'Not asked'
          -1 = 'REFUSED'
           1 = 'Married'
           2 = 'Widowed'
           3 = 'Divorced'
           4 = 'Separated'
           5 = 'Never married'
           6 = 'Living with partner' ;

    value PPMSACAT
          -2 = 'Not asked'
          -1 = 'REFUSED'
           0 = 'Non-Metro'
           1 = 'Metro' ;

    value PPREG
          -2 = 'Not asked'
          -1 = 'REFUSED'
           1 = 'Northeast'
           2 = 'Midwest'
           3 = 'South'
           4 = 'West' ;

    value PPREGA
           1 = 'New England'
           2 = 'Mid-Atlantic'
           3 = 'East-North Central'
           4 = 'West-North Central'
           5 = 'South Atlantic'
           6 = 'East-South Central'
           7 = 'West-South Central'
           8 = 'Mountain'
           9 = 'Pacific' ;

    value PPRENT
          -2 = 'Not asked'
          -1 = 'REFUSED'
           1 = 'Owned or being bought by you or someone '
           2 = 'Rented for cash'
           3 = 'Occupied without payment of cash rent' ;

    value PPSTATEN
          -2 = 'Not asked'
          -1 = 'REFUSED'
          11 = 'ME'
          12 = 'NH'
          13 = 'VT'
          14 = 'MA'
          15 = 'RI'
          16 = 'CT'
          21 = 'NY'
          22 = 'NJ'
          23 = 'PA'
          31 = 'OH'
          32 = 'IN'
          33 = 'IL'
          34 = 'MI'
          35 = 'WI'
          41 = 'MN'
          42 = 'IA'
          43 = 'MO'
          44 = 'ND'
          45 = 'SD'
          46 = 'NE'
          47 = 'KS'
          51 = 'DE'
          52 = 'MD'
          53 = 'DC'
          54 = 'VA'
          55 = 'WV'
          56 = 'NC'
          57 = 'SC'
          58 = 'GA'
          59 = 'FL'
          61 = 'KY'
          62 = 'TN'
          63 = 'AL'
          64 = 'MS'
          71 = 'AR'
          72 = 'LA'
          73 = 'OK'
          74 = 'TX'
          81 = 'MT'
          82 = 'ID'
          83 = 'WY'
          84 = 'CO'
          85 = 'NM'
          86 = 'AZ'
          87 = 'UT'
          88 = 'NV'
          91 = 'WA'
          92 = 'OR'
          93 = 'CA'
          94 = 'AK'
          95 = 'HI'
          96 = 'AS'
          97 = 'GU'
          98 = 'PR'
          99 = 'VI' ;

    value PPT
          -2 = 'Not asked'
          -1 = 'REFUSED' ;

    value PPTA
          -2 = 'Not asked'
          -1 = 'REFUSED' ;

    value PPTB
          -2 = 'Not asked'
          -1 = 'REFUSED' ;

    value PPTC
          -2 = 'Not asked'
          -1 = 'REFUSED' ;

    value PPT18OV
          -2 = 'Not asked'
          -1 = 'REFUSED' ;

    value PPWORK
          -2 = 'Not asked'
          -1 = 'REFUSED'
           1 = 'Working - as a paid employee'
           2 = 'Working - self-employed'
           3 = 'Not working - on temporary layoff from a'
           4 = 'Not working - looking for work'
           5 = 'Not working - retired'
           6 = 'Not working - disabled'
           7 = 'Not working - other' ;

    value ICLEVEL
           1 = '>=4 years'
           2 = '[2, 4) years'
           3 = '<2 years' ;

    value CONTROL
           1 = 'Public'
           2 = 'Private not-for-profit'
           3 = 'Private for-profit' ;

    value ACTCAT
           1 = 'Inclusive'
           2 = 'Selective'
           3 = 'More selective' ;

    value PPRACEM
          -1 = 'refused'
           1 = 'White'
           2 = 'Black/African-American'
           3 = 'American Indian or Alaska Native'
           4 = 'Asian'
           5 = 'Hawaiian/Pacific Islander'
           6 = '2+ Races' ;

    value RACE_5CA
           1 = 'White'
           2 = 'Black'
           3 = 'Hispanic'
           4 = 'Asian'
           5 = 'Other' ;

quit ;
